Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.xensource.xenapi
Enum Types.HostAllowedOperations

    java.lang.Object
      java.lang.Enum<Types.HostAllowedOperations>
          com.xensource.xenapi.Types.HostAllowedOperations

All Implemented Interfaces:
  Serializable, Comparable<Types.HostAllowedOperations>

Enclosing class:
  Types

    public static enum Types.HostAllowedOperations

extends Enum<Types.HostAllowedOperations>

Enum Constant Summary
`EVACUATE` Indicates this host is evacuating
`POWER_ON` Indicates this host is in the process of being powered on
`PROVISION` Indicates this host is able to provision another VM
`REBOOT` Indicates this host is in the process of rebooting
`SHUTDOWN` Indicates this host is in the process of shutting itself down
`UNRECOGNIZED` The value does not belong to this enumeration
`VM_MIGRATE` This host is the migration target of a VM
`VM_RESUME` This host is resuming a VM
`VM_START` This host is starting a VM

Method Summary
`String` | `toString()`
`static Types.HostAllowedOperations` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Types.HostAllowedOperations[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNRECOGNIZED

    public static final Types.HostAllowedOperations UNRECOGNIZED

  The value does not belong to this enumeration

### PROVISION

    public static final Types.HostAllowedOperations PROVISION

  Indicates this host is able to provision another VM

### EVACUATE

    public static final Types.HostAllowedOperations EVACUATE

  Indicates this host is evacuating

### SHUTDOWN

    public static final Types.HostAllowedOperations SHUTDOWN

  Indicates this host is in the process of shutting itself down

### REBOOT

    public static final Types.HostAllowedOperations REBOOT

  Indicates this host is in the process of rebooting

### POWER_ON

    public static final Types.HostAllowedOperations POWER_ON

  Indicates this host is in the process of being powered on

### VM_START

    public static final Types.HostAllowedOperations VM_START

  This host is starting a VM

### VM_RESUME

    public static final Types.HostAllowedOperations VM_RESUME

  This host is resuming a VM

### VM_MIGRATE

    public static final Types.HostAllowedOperations VM_MIGRATE

  This host is the migration target of a VM

Method Detail

### values

    public static Types.HostAllowedOperations[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Types.HostAllowedOperations c : Types.HostAllowedOperations.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Types.HostAllowedOperations valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<Types.HostAllowedOperations>`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD